- var ListadoCabecera = ["Talla", "Almacen", "Existencia", "Reservado", "Disponible", "Cantidad"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.row
            div.col-12.col-lg-4
                div.row
                    div.form-group.col-auto
                        img([Gravatar]="tClienteModal.Email",
                            alt="").img-thumbnail.rounded-circle
                    div.form-group.col
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionCliente }}
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionPedido }}
                div.row
                    div.col-12
                         div(*ngFor="let tTipo of tTiposPedido; let jv = index",
                                [ColorFondo]="tTipo.Hexadecimal", 
                                [IgnorarClick]="true",
                                (click)="Seleccionar_Tipo(tTipo)").Contenedor-Tipo.mb-2
                            h6([ColorLetras]="tTipo.Hexadecimal").text-xs.ml-2.mt-2
                                span(*ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo").fas.fa-check.mr-2
                                | {{ tTipo.Codtipo }}
            div.col-12.col-lg-8
                div.form-row
                    div.col-12.col-lg-4
                        img([src]="ObtenerImagenPrincipal()", alt="...").rounded.mx-auto.d-block.ImagenPrincipal
                    div.col-12.col-lg-8
                        div.form-row
                            div.form-group.col-10
                                div.ControlInput
                                    div.ControlInput--ContenedorIcono
                                        span.ControlInput--ContenedorIcono-Icono
                                            i.fas.fa-search
                                    input(#txtBuscar="", 
                                            type="text", 
                                            placeholder="Buscar artículo", 
                                            (keydown.enter)="BuscarArticulo(txtBuscar.value)",
                                            size="sm").ControlInput--Input
                            div.form-group.col-1
                                button(type="submit", (click)="BuscarArticulo(txtBuscar.value)").btn.btn-sm.btn-outline-primary
                                    i.fas.fa-search
                            div.form-group.col-1        
                                button(type="submit", (click)="AbrirModalArticulos()").btn.btn-sm.btn-outline-info
                                        i.fas.fa-list
                        div.form-row
                            div.form-group.col-12  
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''") [ {{ tArticuloActual.Codarticulo }} ] - {{ tArticuloActual.Descripcion }}
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''").text-xs
                                    span.text-secondary.font-weight-bold Color: 
                                    span [ {{ tArticuloActual.Codcolor }} ] - {{ tArticuloActual.Desc_color }}
                                h6(*ngIf="tArticuloActual.Codarticulo !== ''").text-xs
                                    span.text-secondary.font-weight-bold Factor: 
                                    span [ {{ tArticuloActual.Codunidadmedida }} ] - {{ tArticuloActual.Desc_unidad_medida }} | Factor de venta: {{ tArticuloActual.Factor_venta }}
                div.form-row
                    div.form-group.col-12
                        div.table-responsive
                            table.table.table-sm.table-borderless
                                thead
                                    tr
                                        each Cabecera in ListadoCabecera || []
                                            th(scope="col")
                                                h6
                                                    small.text-center.font-weight-bold= Cabecera
                                tbody
                                    tr(*ngFor="let Inventario of tArticuloActual.LInventario")
                                        th(scope="row")
                                            a((click)="SeleccionarTalla(Inventario)", [ngClass]="{'text-secondary' : Inventario.Talla == tArticuloInventarioActual.Talla}").h6
                                                small.font-weight-bold {{ Inventario.Talla | talla }}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Codalmacen }} 
                                        td
                                            h6.text-center
                                                small {{ Inventario.Existencia}}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Reservado}}
                                        td
                                            h6.text-center
                                                small {{ Inventario.Disponible}}
                                        td
                                            input(*ngIf="Inventario.Talla === tArticuloInventarioActual.Talla",
                                                placeholder="Cantidad", 
                                                SoloNumeros="number", 
                                                [(ngModel)]="tPedidoArticuloActual.Cantidad", 
                                                min="0", 
                                                (keydown.enter)="AceptarPedido()").form-control.form-control-sm
        div.row.pt-4
            div.col-12.col-lg-4.offset-lg-4
                div.card.border-left-primary.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.text-xs.font-weight-bold.text-primary.mb-1 Precio
                                div.h5.mb-0.font-weight-bold.text-gray-800 {{ tArticuloActual | precioCliente: tClienteModal | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-shopping-cart.fa-2x.text-gray-300
            div.col-12.col-lg-4
                div.card.border-left-success.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.text-xs.font-weight-bold.text-success.mb-1 Total
                                div.h5.mb-0.font-weight-bold.text-gray-800 {{ tArticuloActual | totalPedido: tClienteModal : tPedidoArticuloActual.Cantidad | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-shopping-cart.fa-2x.text-gray-300
div.modal-footer
    button(type="button",
        (click)="Limpiar()").btn.btn-secondary.btn-icon-split.ml-2
        span.icon.text-white-50
            i.fas.fa-broom
        span.text Limpiar
    button(type="button",
        (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})").btn.btn-secondary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cerrar
    button(type="button",
        (click)="AceptarPedido()").btn.btn-primary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-save
        span.text Guardar